package com.kingdee.eas.custom.performancenew;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class ExamineGradePersonFactory
{
    private ExamineGradePersonFactory()
    {
    }
    public static com.kingdee.eas.custom.performancenew.IExamineGradePerson getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.performancenew.IExamineGradePerson)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("B99F4C3E") ,com.kingdee.eas.custom.performancenew.IExamineGradePerson.class);
    }
    
    public static com.kingdee.eas.custom.performancenew.IExamineGradePerson getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.performancenew.IExamineGradePerson)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("B99F4C3E") ,com.kingdee.eas.custom.performancenew.IExamineGradePerson.class, objectCtx);
    }
    public static com.kingdee.eas.custom.performancenew.IExamineGradePerson getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.performancenew.IExamineGradePerson)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("B99F4C3E"));
    }
    public static com.kingdee.eas.custom.performancenew.IExamineGradePerson getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.performancenew.IExamineGradePerson)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("B99F4C3E"));
    }
}